/*    
		Talking Multimeter
    Copyright (C) 2014 Cristiano Griletti

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


//Byte 1 + E
#define I1AC 0x80
#define I1DC 0x40
#define I1Auto 0x20
#define I1Rs232 0x10
#define I1HFE 0x08 //Uso questo bit, non suportato dal tester, per il discorso custom con il calibro
#define I1DegC 0x04

//Byte A + B
#define I2micro 0x80
#define I2nano 0x40
#define I2kilo 0x20
#define I2diode 0x10
#define I2milli 0x08
#define I2duty 0x04
#define I2mega 0x02
#define I2beep 0x01

//Byte C + D
#define I3farad 0x80
#define I3ohm 0x40
#define I3rel 0x20
#define I3hold 0x10
#define I3amp 0x08
#define I3volt 0x04
#define I3hertz 0x02
#define I3batt 0x01

#define num1 0b0000101
#define num2 0b1011011
#define num3 0b0011111
#define num4 0b0100111
#define num5 0b0111110
#define num6 0b1111110
#define num7 0b0010101
#define num8 0b1111111
#define num9 0b0111111
#define num0 0b1111101
#define num_ 0b0000000
#define numL 0b1101000


//Multimetro
extern byte Icons1, PrevIcons1;
extern byte Icons2, PrevIcons2;
extern byte Icons3, PrevIcons3;
extern byte Disp[4];
extern byte Recvd;

const int buttonPin = 8;
